TKN-HUB-GET-PIPELINE(1)

NAME

tkn-hub-get-pipeline - Get Pipeline by name, catalog and version

SYNOPSIS

tkn hub get pipeline

DESCRIPTION

Get Pipeline by name, catalog and version

OPTIONS

-h, --help[=false]
    help for pipeline

OPTIONS INHERITED FROM PARENT COMMANDS

--api-server=""
    Hub API Server URL (default ' ⟨https://api.hub.tekton.dev'⟩ for 'tekton' type; default ' ⟨https://artifacthub.io'⟩ for 'artifact' type). URL can also be defined in a file '$HOME/.tekton/hub-config' with a variable 'TEKTON_HUB_API_SERVER'/'ARTIFACT_HUB_API_SERVER'.

--from=""
    Name of Catalog to which resource belongs to.

--type="tekton"
    The type of Hub from where to pull the resource. Either 'artifact' or 'tekton'

--version=""
    Version of Resource

EXAMPLE

Get a Pipeline of name 'foo':

    tkn hub get pipeline foo

or

Get a Pipeline of name 'foo' of version '0.3':

    tkn hub get pipeline foo --version 0.3

SEE ALSO

tkn-hub-get(1)